import * as Yup from 'yup';

export const FlockFormSchema = Yup.object({
  name: Yup.string()
    .required('Nama wajib diisi!')
    .matches(/^[\p{L}\p{N}\s]+$/u, 'Nama tidak boleh mengandung simbol'),
});

export const UpdateFlockFormSchema = FlockFormSchema;

export type FlockFormValues = Yup.InferType<typeof FlockFormSchema>;
